B2G(1)

NAME
b2g.pl - Traditional to Simplified Chinese converter

SYNOPSIS
b2g.pl [ -p ] [ -u ] [ inputfile ...] > outputfile

USAGE
    % b2g.pl -p < big5.txt > gbk.txt
    % b2g.pl -pu < trad.txt > simp.txt

DESCRIPTION
The b2g.pl utility reads files sequentially, converts them from Traditional to Simplified Chinese, then writes them to the standard output. The inputfile arguments are processed in command-line order. If inputfile is a single dash ("-") or absent, this program reads from the standard input.

The "-p" switch enables rudimentary phrase-oriented substition via a small built-in lexicon.

The "-u" switch specifies that both the input and output streams should be UTF-8 encoded. If not specified, the input stream is assumed to be in Big5, and the output will be encoded in GBK.

CAVEATS
In pure-perl implementations (pre-5.8 perl or without a C compiler), "-p" and "-u" cannot be used together.

SEE ALSO
g2b.pl, Encode::HanConvert

AUTHORS
Currently maintained by Kuang-che Wu <kcwu@csie.org>. Orignal author: Audrey Tang <cpan@audreyt.org>

COPYRIGHT
Copyright 2002, 2003, 2004 by Audrey Tang <cpan@audreyt.org>. Copyright 2006 by Kuang-che Wu <kcwu@csie.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>